Panduan pembalasan.id
Messages A P I

Update a message

PATCH
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}

Update a message

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

conversation_id*integer

The numeric ID of the conversation

message_id*integer

The numeric ID of the message

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/public/api/v1/inboxes/string/contacts/string/conversations/0/messages/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "content": "string",
  "message_type": 0,
  "content_type": "string",
  "content_attributes": {},
  "created_at": 0,
  "conversation_id": 0,
  "attachments": [
    {
      "id": 0,
      "message_id": 0,
      "file_type": "image",
      "account_id": 0,
      "extension": "string",
      "data_url": "string",
      "thumb_url": "string",
      "file_size": 0,
      "width": 0,
      "height": 0,
      "coordinates_lat": 0,
      "coordinates_long": 0,
      "fallback_title": "string",
      "meta": {},
      "transcribed_text": "string"
    }
  ],
  "sender": {
    "id": 0,
    "name": "string",
    "avatar_url": "string",
    "thumbnail": "string",
    "type": "contact",
    "available_name": "string",
    "availability_status": "string",
    "email": "string",
    "phone_number": "string",
    "identifier": "string",
    "blocked": true,
    "additional_attributes": {},
    "custom_attributes": {},
    "description": "string",
    "created_at": "string"
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}